.select2-container .select2-choice, .select2-container .select2-choices, .select2-container .select2-choices .select2-search-field input {
  background: $custom-select-bg-alt;
  border-color: $custom-select-bg-alt;
  color: $custom-select-color-alt;
  -webkit-box-shadow: $custom-select-box-shadow-alt;
  box-shadow: $custom-select-box-shadow-alt;
}

.select2-search input {
  border-color: $custom-select-border-color-alt;
  color: $custom-select-color-alt;
  background-color: $custom-select-bg-alt;
  -webkit-box-shadow: $custom-select-box-shadow-alt;
  box-shadow: $custom-select-box-shadow-alt;
}

.select2-container.form-control {
  border: $input-border-width solid $input-border-color-alt;
}

.has-warning .select2-choice, .has-warning .select2-choices {
  border-color: lighten($warning-alt, 10%);
}

.has-warning .select2-container-active .select2-choice, .has-warning .select2-container-multi.select2-container-active .select2-choices {
  border-color: $warning-alt;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0, .075), 0 0 6px lighten($warning-alt, 30%);
  box-shadow: inset 0 1px 1px rgba(0,0,0, .075), 0 0 6px lighten($warning-alt, 30%);
}

.has-warning.select2-drop-active {
  border-color: $warning-alt;
}

.has-warning.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $warning-alt;
}

.has-error .select2-choice, .has-error .select2-choices {
  border-color: lighten($danger-alt, 10%);
}

.has-error .select2-container-active .select2-choice, .has-error .select2-container-multi.select2-container-active .select2-choices {
  border-color: $danger-alt;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($danger-alt, 30%);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($danger-alt, 30%)
}

.has-error.select2-drop-active {
  border-color: $danger-alt;
}

.has-error.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $danger-alt;
}

.has-success .select2-choice, .has-success .select2-choices {
  border-color: lighten($success-alt, 10%);
}

.has-success .select2-container-active .select2-choice, .has-success .select2-container-multi.select2-container-active .select2-choices {
  border-color: $success-alt;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($success-alt, 30%);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($success-alt, 30%)
}

.has-success.select2-drop-active {
  border-color: $success-alt;
}

.has-success.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $success-alt;
}

.select2-container-active .select2-choice, .select2-container-multi.select2-container-active .select2-choices {
  border-color: $primary-alt;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(darken($primary-alt, 30%), .6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(darken($primary-alt, 30%), .6);
}

.select2-drop-active {
  border-color: $primary-alt
}

.select2-drop-auto-width, .select2-drop.select2-drop-above.select2-drop-active {
  border-top-color: $primary-alt
}

.select2-dropdown-open.select2-drop-above [class^=select2-choice] {
  background: $custom-select-bg-alt;
  border: $input-border-width solid $primary-alt;
}

.select2-drop {
  background-color: $custom-select-bg-alt;
  color: $custom-select-color-alt;
}

.select2-results .select2-highlighted {
  background-color: $custom-control-indicator-active-bg-alt;
}

.select2-container-multi .select2-choices .select2-search-choice {
  color: $custom-select-color-alt;
  background: $custom-select-bg-alt;
  border-color: $custom-select-border-color-alt;
}

.select2-container-multi .select2-choices .select2-search-choice-focus {
  background: $custom-select-bg-alt;
  border-color: $custom-select-focus-border-color-alt;
  color: $custom-select-indicator-color-alt;
}

.select2-results .select2-no-results, .select2-results .select2-searching, .select2-results .select2-selection-limit {
  background-color: $custom-select-bg-alt;
  color: $warning-alt
}

.select2-container.select2-container-disabled .select2-choice, .select2-container.select2-container-disabled .select2-choices {
  background-color: $custom-select-disabled-bg-alt;
  border-color: $custom-select-border-color-alt
}
